;	RCS Header $Id: dev_fam.inc 1.2 1997/03/24 23:25:07 F.J.Testa Exp $

;	$Revision: 1.2 $

;  DEV_FAM.INC   Device Family Type File, Version 1.00    Microchip Technology, Inc.
;
; This file takes the defined device from the LIST directive, and specifies a
; device family type and the Reset Vector Address (in RESET_V).
;
;*******
;*******   Device Family Type, Returns one of these three Symbols (flags) set  
;*******   (other two are cleared) depending on processor selected in LIST Directive:
;*******          P16C5X, P16CXX, PIC17CXX or P18CXX
;*******   Also sets the Reset Vector Address in symbol RESET_V
;*******
;*******   File Name:   DEV_FAM.INC
;*******   Revision:    1.00.00        08/24/95       MP
;*******                1.00.01        03/21/97       AL
;*******
;
TRUE		EQU   1
FALSE		EQU   0
;
P16C5X      SET    FALSE       ; If P16C5X, use INHX8M file format.
P16CXX      SET    FALSE       ; If P16CXX, use INHX8M file format.
P17CXX      SET    FALSE       ; If P17CXX, the INHX32 file format is required
P18CXX      SET    FALSE       ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
RESET_V     SET    0x0000      ; Default Reset Vector address of 0h
                               ;   (16Cxx, 17Cxx and 18Cxx devices)
P16_MAP1    SET    FALSE       ; FOR 16C61/71/710/711/83/84 Memory Map
P16_MAP2    SET    FALSE       ; For all other 16Cxx Memory Maps
;
;******    16CXX  ***********
;
    IFDEF   __12C671
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12C672
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12CE673
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12CE674
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12F629
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12F635
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __12F675
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __12F683
P16CXX      SET    TRUE        ; use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __14000
P16CXX      SET    TRUE        ; If P14000, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C432           ; Generic Processor Type
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C433           ; Generic Processor Type
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C554
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C557
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C558
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C61
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;	
    IFDEF   __16C62
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C62A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
    IFDEF   __16C62B
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C63
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C64
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C64A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C65
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C65A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C65B
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C66
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C67
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C620
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C620A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C621
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C621A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C622
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
   IFDEF   __16C622A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
   IFDEF   __16CE623
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
   IFDEF   __16CE624
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
   IFDEF   __16CE625
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C642
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C662
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C71
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16C710
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16C711
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16C712
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C715
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C716
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C717
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C72
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;	
    IFDEF   __16C72A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C73
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C73A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C73B
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C74
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C74A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C74B
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C76
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C77
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C745
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C765
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C770
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C771
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C773
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C774
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C781
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C782
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16C84
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16C923
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;
    IFDEF   __16C924
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;
    IFDEF   __16C925
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;
    IFDEF   __16C926
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE
    ENDIF
;
    IFDEF   __16F627
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F627A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F628
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F628A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F630
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F636
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F639
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F648A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F676
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F684
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F688
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F716
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F72
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F73
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F737
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F74
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F747
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F76
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F767
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F77
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F777
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F785
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F818
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F819
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F83
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16F84
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16F84A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP1    SET    TRUE
    ENDIF
;
    IFDEF   __16F87
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F870
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F871
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F872
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F873
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F873A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F874
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F874A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F876
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F876A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F877
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F877A
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F88
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F913
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F914
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F916
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16F917
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
    IFDEF   __16CXX            ; Generic Processor Type
P16CXX      SET    TRUE        ; If P16CXX, use INHX8M file format.
P16_MAP2    SET    TRUE        ;
    ENDIF
;
;
;******    17CXX  ***********
;
;
    IFDEF   __17C42
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C42A
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C43
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C44
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C752
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C756
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C756A
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C762
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17C766
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __17CXX            ; Generic Processor Type
P17CXX      SET    TRUE        ; If P17CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
;
;******    18CXX  ***********
;
;
    IFDEF   __18C242
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C252
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C442
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C452
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C601
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C658
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C801
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18C858
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F1220
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F1320
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2220
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2320
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2331
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2410
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F242
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2420
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2431
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2439
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2455
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F248
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2480
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2510
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2515
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F252
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2520
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2525
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2539
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2550
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F258
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2580
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2585
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2610
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2620
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F2680
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4220
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4320
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4331
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4410
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F442
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4420
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4431
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4439
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4455
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F448
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4480
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4510
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4515
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F452
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4520
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4525
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4539
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4550
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F458
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4580
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4585
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4610
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4620
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F4680
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6310
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6390
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6410
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6490
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6520
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6525
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6585
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6620
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6621
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6627
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6680
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6720
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F6722
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8310
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8390
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8410
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8490
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8520
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8525
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8585
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8620
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8621
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8627
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8680
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8720
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18F8722
P18CXX      SET    TRUE        ; If P18FXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
    IFDEF   __18CXX	       ; Generic Processor Type
P18CXX      SET    TRUE        ; If P18CXX, the INHX32 file format is required
;                              ;            in the LIST directive
    ENDIF
;
;
;******    16C5X  ***********
;
;
    IFDEF   __16C54
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x01FF      ; Reset Vector at end of 512 words
    ENDIF
;
    IFDEF   __16C54A
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x01FF      ; Reset Vector at end of 512 words
    ENDIF
;
    IFDEF   __16C55
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x01FF      ; Reset Vector at end of 512 words
    ENDIF
;
    IFDEF   __16C56
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x03FF      ; Reset Vector at end of 1K words
    ENDIF
;
    IFDEF   __16C57
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x07FF      ; Reset Vector at end of 2K words
    ENDIF
;
    IFDEF   __16C58A
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x07FF      ; Reset Vector at end of 2K words
    ENDIF
;
    IFDEF   __16C5X            ; Generic Processor Type
P16C5X      SET    TRUE        ; If P16C5X, use INHX8M file format.
RESET_V     SET    0x07FF      ; Reset Vector at end of 2K words
    ENDIF
;
;
    if ( P16C5X + P16CXX + P17CXX + P18CXX != 1 )
	MESSG  "WARNING - USER DEFINED: One and only one device family can be selected"
	MESSG  "                        May be NEW processor not defined in this file"
    endif
;
