;****************************************************************************
; PIC12F50x Family Header
;       Copyright 1995, 2004 microEngineering Labs, Inc.
;****************************************************************************
	NOLIST
					; *** Default Device Specifications
                DEVICE  0FFF0FFFh       ; Default Fuse Bits
                DEVICE  40010000h       ; 12-Bit, 512 Code, 0 EE, ID = 0

					; *** DEVICE Device Definitions
PIC12F508       equ     40010000h       ; 12-Bit, 512 Code, 0 EE, ID = 0
PIC12F509       equ     40020001h       ; 12-Bit,  1K Code, 0 EE, ID = 1

					; *** DEVICE Fuses Definitions
EXTRC_OSC       equ     0FFC0003h       ; XXXX XXXX XX11
INTRC_OSC       equ     0FFC0002h       ; XXXX XXXX XX10
XT_OSC          equ     0FFC0001h       ; XXXX XXXX XX01
LP_OSC          equ     0FFC0000h       ; XXXX XXXX XX00
WDT_ON          equ     0FFB0004h       ; XXXX XXXX X1XX
WDT_OFF         equ     0FFB0000h       ; XXXX XXXX X0XX
PROTECT_OFF     equ     0FF70008h       ; XXXX XXXX 1XXX
PROTECT_ON      equ     0FF70000h       ; XXXX XXXX 0XXX
MCLR_ON         equ     0FEF0010h       ; XXXX XXX1 XXXX
MCLR_OFF        equ     0FEF0000h       ; XXXX XXX0 XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
OSCCAL          equ     05h             ; Oscillator Calibration
GPIO            equ     06h             ; General Purpose I/O Port

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
NOT_PD		equ     3               ; Power Down
TO              equ     4               ; Time Out
NOT_TO		equ     4               ; Time Out
PA0             equ     5               ; Program Page Select 0
GPWUF           equ     7               ; GPIO Reset

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
GPPU            equ     6               ; Enable Weak Pullups
GPWU            equ     7               ; Enable Wake-up on Pin Change

                                        ; *** OSCCAL Bits
CAL0		equ	1
CAL1		equ	2
CAL2		equ	3
CAL3		equ	4
CAL4		equ	5
CAL5		equ	6
CAL6		equ	7

	LIST

