;****************************************************************************
; PIC16C433 Header
;       Copyright 1995, 2001 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
                DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50040002h       ; 14-Bit,  2K Code, 0 EE, ID = 2

					; *** DEVICE Device Definitions
PIC16C433       equ     50040002h       ; 14-Bit,  2K Code, 0 EE, ID = 2

					; *** DEVICE Fuses Definitions
EXTRC_OSC_CLKOUT equ    3FF80007h       ; XX XXXX XXXX X111
EXTRC_OSC_NOCLKOUT equ  3FF80006h       ; XX XXXX XXXX X110
EXTRC_OSC       equ     3FF80006h       ; XX XXXX XXXX X110
INTRC_OSC_CLKOUT equ    3FF80005h       ; XX XXXX XXXX X101
INTRC_OSC_NOCLKOUT equ  3FF80004h       ; XX XXXX XXXX X100
INTRC_OSC       equ     3FF80004h       ; XX XXXX XXXX X100
HS_OSC          equ     3FF80002h       ; XX XXXX XXXX X010
XT_OSC          equ     3FF80001h       ; XX XXXX XXXX X001
LP_OSC          equ     3FF80000h       ; XX XXXX XXXX X000
WDT_ON          equ     3FF70008h       ; XX XXXX XXXX 1XXX
WDT_OFF         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_OFF        equ     3FEF0010h       ; XX XXXX XXX1 XXXX
PWRT_ON         equ     3FEF0000h       ; XX XXXX XXX0 XXXX
PROTECT_OFF     equ     009F3F60h       ; 11 1111 X11X XXXX
PROTECT_ON      equ     009F0000h       ; 00 0000 X00X XXXX
MCLR_ON         equ     3F7F0080h       ; XX XXXX 1XXX XXXX
MCLR_OFF        equ     3F7F0000h       ; XX XXXX 0XXX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
GPIO            equ     05h             ; General Purpose I/O Port
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
ADRES           equ     1Eh             ; A/D Result
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG      equ     81h             ; OPTION Register
TRISIO          equ     85h             ; GPIO Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PCON            equ     8Eh             ; Power Control
OSCCAL          equ     8Fh             ; Oscillator Calibration
ADCON1          equ     9Fh             ; A/D Control 1

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
TO              equ     4               ; Time Out
RP0             equ     5               ; Direct Data Page Select 0
RP1             equ     6               ; Direct Data Page Select 1
IRP             equ     7               ; Indirect Data Page Select

					; *** GPIO Bits
LINRX		equ     6               ; LIN Bus Receive Data
LINTX		equ     7               ; LIN Bus Transmit Data

					; *** INTCON Bits
GPIF            equ     0               ; GPIO[0,1,3] Change Interrupt Flag
INTF            equ     1               ; External Interrupt Flag
T0IF            equ     2               ; TMR0 Overflow Interrupt Flag
GPIE            equ     3               ; GPIO[0,1,3] Change Interrupt Enable
INTE            equ     4               ; External Interrupt Enable
T0IE            equ     5               ; TMR0 Overflow Interrupt Enable
PEIE            equ     6               ; Peripheral Interrupt Enable
GIE             equ     7               ; Global Interrupt Enable

					; *** PIR1 Bits
ADIF            equ     6               ; A/D Interrupt Flag

					; *** ADCON0 Bits
ADON            equ     0               ; A/D Power Control
GO_DONE         equ     2               ; A/D GO/DONE Bit
NOT_DONE        equ     2               ; A/D GO/DONE Bit
CHS0            equ     3               ; A/D Channel Select (3 Bits)
CHS1            equ     4
ADCS0           equ     6               ; A/D Clock Select (2 Bits)
ADCS1           equ     7

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
INTEDG          equ     6               ; Interrupt Edge
GPPU            equ     7               ; Enable Weak Pullups
NOT_GPPU        equ     7               ; Enable Weak Pullups

					; *** PIE1 Bits
ADIE            equ     6               ; A/D Interrupt Enable

					; *** PCON Bits
POR             equ     1               ; Power-On Reset Flag

					; *** OSCCAL Bits
CALSLW		equ     2
CALFST		equ	3
CAL0		equ	4
CAL1		equ	5
CAL2		equ	6
CAL3		equ	7

					; *** ADCON1 Bits
PCFG0           equ     0               ; A/D Configuration (3 Bits)
PCFG1           equ     1
PCFG2           equ     2

        LIST
