;****************************************************************************
; PIC16C505 Header
;       Copyright 1998, 2001 microEngineering Labs, Inc.
;****************************************************************************
	NOLIST
					; *** Default Device Specifications
                DEVICE  0FFF0FFFh       ; Default Fuse Bits
                DEVICE  40020001h       ; 12-Bit,  1K Code, 0 EE, ID = 1

					; *** DEVICE Device Definitions
PIC16C505       equ     40020001h       ; 12-Bit,  1K Code, 0 EE, ID = 1

					; *** DEVICE Fuses Definitions
EXTRC_OSC_CLKOUT equ    0FF80007h       ; XXXX XXXX X111
EXTRC_OSC_NOCLKOUT equ  0FF80006h       ; XXXX XXXX X110
EXTRC_OSC       equ     0FF80006h       ; XXXX XXXX X110
INTRC_OSC_CLKOUT equ    0FF80005h       ; XXXX XXXX X101
INTRC_OSC_NOCLKOUT equ  0FF80004h       ; XXXX XXXX X100
INTRC_OSC       equ     0FF80004h       ; XXXX XXXX X100
HS_OSC          equ     0FF80002h       ; XXXX XXXX X010
XT_OSC          equ     0FF80001h       ; XXXX XXXX X001
LP_OSC          equ     0FF80000h       ; XXXX XXXX X000
WDT_ON          equ     0FF70008h       ; XXXX XXXX 1XXX
WDT_OFF         equ     0FF70000h       ; XXXX XXXX 0XXX
PROTECT_OFF     equ     002F0FD0h       ; 1111 11X1 XXXX
PROTECT_ON      equ     002F0000h       ; 0000 00X0 XXXX
MCLR_ON         equ     0FDF0020h       ; XXXX XX1X XXXX
MCLR_OFF        equ     0FDF0000h       ; XXXX XX0X XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
OSCCAL          equ     05h             ; Oscillator Calibration
PORTB           equ     06h             ; Port B Data
PORTC           equ     07h             ; Port C Data

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
NOT_PD		equ     3               ; Power Down
TO              equ     4               ; Time Out
NOT_TO		equ     4               ; Time Out
PA0             equ     5               ; Program Page Select 0
RBWUF           equ     7               ; Pin Change Reset

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
RBPU            equ     6               ; Enable Weak Pullups
RBWU            equ     7               ; Enable Wake-up on Pin Change

                                        ; *** OSCCAL Bits
CAL0		equ	2
CAL1		equ	3
CAL2		equ	4
CAL3		equ	5
CAL4		equ	6
CAL5		equ	7

	LIST

