;****************************************************************************
; PIC16C771 Header
;       Copyright 1995, 2001 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
		DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50080003h       ; 14-Bit, 4K Code, 0 EE, ID = 3

					; *** DEVICE Device Definitions
PIC16C771       equ     50080003h       ; 14-Bit, 4K Code, 0 EE, ID = 3

					; *** DEVICE Fuses Definitions
ER_OSC_CLKOUT   equ     3FF80007h       ; XX XXXX XXXX X111
ER_OSC_NOCLKOUT equ     3FF80006h       ; XX XXXX XXXX X110
ER_OSC          equ     3FF80006h       ; XX XXXX XXXX X110
INTRC_OSC_CLKOUT equ    3FF80005h       ; XX XXXX XXXX X101
INTRC_OSC_NOCLKOUT equ  3FF80004h       ; XX XXXX XXXX X100
INTRC_OSC       equ     3FF80004h       ; XX XXXX XXXX X100
EXTCLK_OSC      equ     3FF80003h       ; XX XXXX XXXX X011
HS_OSC          equ     3FF80002h       ; XX XXXX XXXX X010
XT_OSC          equ     3FF80001h       ; XX XXXX XXXX X001
LP_OSC          equ     3FF80000h       ; XX XXXX XXXX X000
WDT_ON          equ     3FF70008h       ; XX XXXX XXXX 1XXX
WDT_OFF         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_ON         equ     3FEF0000h       ; XX XXXX XXX0 XXXX
PWRT_OFF        equ     3FEF0010h       ; XX XXXX XXX1 XXXX
MCLR_ON         equ     3FDF0020h       ; XX XXXX XX1X XXXX
MCLR_OFF        equ     3FDF0000h       ; XX XXXX XX0X XXXX
BOD_ON          equ     3FBF0040h       ; XX XXXX X1XX XXXX
BOD_OFF         equ     3FBF0000h       ; XX XXXX X0XX XXXX
VBOR_25         equ     33FF0C00h       ; XX 11XX XXXX XXXX
VBOR_27         equ     33FF0800h       ; XX 10XX XXXX XXXX
VBOR_42         equ     33FF0400h       ; XX 01XX XXXX XXXX
VBOR_45         equ     33FF0000h       ; XX 00XX XXXX XXXX
PROTECT_ON      equ     0CFF0000h       ; 00 XX00 XXXX XXXX
PROTECT_OFF     equ     0CFF3300h       ; 11 XX11 XXXX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTB           equ     06h             ; Port B Data
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
PIR2            equ     0Dh             ; Peripheral Interrupt Flags 2
TMR1L           equ     0Eh             ; Timer 1 Data (LSB)
TMR1H           equ     0Fh             ; Timer 1 Data (MSB)
T1CON           equ     10h             ; Timer 1 Control
TMR2            equ     11h             ; Timer 2 Data
T2CON           equ     12h             ; Timer 2 Control
SSPBUF          equ     13h             ; SSP Data
SSPCON          equ     14h             ; SSP Control
CCPR1L          equ     15h             ; CCP 1 Data (LSB)
CCPR1H          equ     16h             ; CCP 1 Data (MSB)
CCP1CON         equ     17h             ; CCP 1 Control
ADRESH          equ     1Eh             ; A/D Result High
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG      equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISB           equ     86h             ; Port B Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PIE2            equ     8Dh             ; Peripheral Interrupt Enables 2
PCON            equ     8Eh             ; Power Control
SSPCON2         equ     91h             ; SSP Control 2
PR2             equ     92h             ; Timer 2 Period
SSPADD          equ     93h             ; SSP I2C Address
SSPSTAT         equ     94h             ; SSP Status Flags
WPUB            equ     95h
IOCB            equ     96h
P1DEL           equ     97h
REFCON          equ     9Bh             ; Voltage Reference Control
LVDCON          equ     9Ch             ; Low Voltage Detect Control
ANSEL           equ     9Dh
ADRESL          equ     9Eh             ; A/D Result Low
ADCON1          equ     9Fh             ; A/D Control 1
PMDATL          equ     10Ch
PMADRL          equ     10Dh
PMDATH          equ     10Eh
PMADRH          equ     10Fh
PMCON1          equ     18Ch

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
TO              equ     4               ; Time Out
RP0             equ     5               ; Direct Data Page Select 0
RP1             equ     6               ; Direct Data Page Select 1
IRP             equ     7               ; Indirect Data Page Select

					; *** INTCON Bits
RBIF            equ     0               ; PORTB[4..7] Change Interrupt Flag
INTF            equ     1               ; RB0/INT Interrupt Flag
T0IF            equ     2               ; TMR0 Overflow Interrupt Flag
RBIE            equ     3               ; PORTB[4..7] Change Interrupt Enable
INTE            equ     4               ; RB0/INT Interrupt Enable
T0IE            equ     5               ; TMR0 Overflow Interrupt Enable
PEIE            equ     6               ; Peripheral Interrupt Enable
GIE             equ     7               ; Global Interrupt Enable

					; *** PIR1 Bits
TMR1IF          equ     0               ; Timer 1 Interrupt Flag
TMR2IF          equ     1               ; Timer 2 Interrupt Flag
CCP1IF          equ     2               ; CCP 1 Interrupt Flag
SSPIF           equ     3               ; SSP Interrupt Flag
ADIF            equ     6               ; A/D Interrupt Flag

					; *** PIR2 Bits
BCLIF           equ     3               ; Bus Collision Interrupt Flag
LVDIF           equ     7               ; Low Voltage Detect Interrupt Flag

					; *** T1CON Bits
TMR1ON          equ     0               ; Timer 1 Enable
TMR1CS          equ     1               ; Timer 1 Clock Select
T1INSYNC        equ     2               ; Timer 1 Sync Enable
T1OSCEN         equ     3               ; Timer 1 Oscillator Enable
T1CKPS0         equ     4               ; Timer 1 Prescaler Select (2 Bits)
T1CKPS1         equ     5

					; *** T2CON Bits
T2CKPS0         equ     0               ; Timer 2 Prescaler Select (2 Bits)
T2CKPS1         equ     1
TMR2ON          equ     2               ; Timer 2 Enable
TOUTPS0         equ     3               ; Timer 2 Postscaler Select (4 Bits)
TOUTPS1         equ     4
TOUTPS2         equ     5
TOUTPS3         equ     6

					; *** SSPCON Bits
SSPM0           equ     0               ; SSP Mode Select (4 Bits)
SSPM1           equ     1
SSPM2           equ     2
SSPM3           equ     3
CKP             equ     4               ; SSP Clock Polarity Select
SSPEN           equ     5               ; SSP Enable
SSPOV           equ     6               ; SSP Receive Overflow Flag
WCOL            equ     7               ; SSP Write Collision Detect

					; *** CCP1CON Bits
CCP1M0          equ     0               ; CCP 1 Mode Select (4 Bits)
CCP1M1          equ     1
CCP1M2          equ     2
CCP1M3          equ     3
DC1B0           equ     4
DC1B1           equ     5
PWM1M0          equ     6
PWM1M1          equ     7

					; *** ADCON0 Bits
ADON            equ     0               ; A/D Power Control
CHS3            equ     1
GO_DONE         equ     2               ; A/D GO/DONE Bit
CHS0            equ     3               ; A/D Channel Select (4 Bits)
CHS1            equ     4
CHS2            equ     5
ADCS0           equ     6               ; A/D Clock Select (2 Bits)
ADCS1           equ     7

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
INTEDG          equ     6               ; RB0/INT Edge Select
RBPU            equ     7               ; Port B Weak Pull-Up Enable

					; *** PIE1 Bits
TMR1IE          equ     0               ; Timer 1 Interrupt Enable
TMR2IE          equ     1               ; Timer 2 Interrupt Enable
CCP1IE          equ     2               ; CCP 1 Interrupt Enable
SSPIE           equ     3               ; SSP Interrupt Enable
ADIE            equ     6               ; A/D Interrupt Enable

					; *** PIE2 Bits
BCLIE           equ     3               ; Bus Collision Interrupt Enable
LVDIE           equ     7               ; Low Voltage Detect Interrupt Enable

					; *** PCON Bits
BOR             equ     0               ; Brown-Out Reset Flag
POR             equ     1               ; Power-On Reset Flag
OSCF            equ     3

                                        ; *** SSPCON2 Bits
SEN             equ     0
RSEN            equ     1
PEN             equ     2
RCEN            equ     3
ACKEN           equ     4
ACKDT           equ     5
ACKSTAT         equ     6
GCEN            equ     7

					; *** SSPSTAT Bits
BF              equ     0               ; SSP Buffer Full Flag
UA              equ     1               ; SSP I2C Update Address Flag
R_W             equ     2               ; SSP I2C Read/Write Status
S               equ     3               ; SSP I2C Start Flag
P               equ     4               ; SSP I2C Stop Flag
D_A             equ     5               ; SSP I2C Data/Address Flag
CKE             equ     6               ; SSP SPI Clock Edge Select
SMP             equ     7               ; SSP SPI Data Input Sample Phase

                                        ; *** REFCON Bits
VRLOEN          equ     4
VRHOEN          equ     5
VRLEN           equ     6
VRHEN           equ     7

                                        ; *** LVDCON Bits
LV0             equ     0
LV1             equ     1
LV2             equ     2
LV3             equ     3
LVDEN           equ     4
BGST            equ     5


					; *** ADCON1 Bits
VCFG0           equ     4
VCFG1           equ     5
VCFG2           equ     6
ADFM            equ     7               ; A/D Result Format Select

                                        ; *** PMCON1 Bits
RD              equ     0

        LIST
