;****************************************************************************
; PIC16C78x Family Header
;       Copyright 1995, 2004 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
		DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50040002h       ; 14-Bit, 2K Code, 0 EE, ID = 2

					; *** DEVICE Device Definitions
PIC16C781       equ     50020001h       ; 14-Bit, 1K Code, 0 EE, ID = 1
PIC16C782       equ     50040002h       ; 14-Bit, 2K Code, 0 EE, ID = 2

					; *** DEVICE Fuses Definitions
ER_OSC_CLKOUT   equ     3FF80007h       ; XX XXXX XXXX X111
ER_OSC_NOCLKOUT equ     3FF80006h       ; XX XXXX XXXX X110
ER_OSC          equ     3FF80006h       ; XX XXXX XXXX X110
INTRC_OSC_CLKOUT equ    3FF80005h       ; XX XXXX XXXX X101
INTRC_OSC_NOCLKOUT equ  3FF80004h       ; XX XXXX XXXX X100
INTRC_OSC       equ     3FF80004h       ; XX XXXX XXXX X100
EXTCLK_OSC      equ     3FF80003h       ; XX XXXX XXXX X011
HS_OSC          equ     3FF80002h       ; XX XXXX XXXX X010
XT_OSC          equ     3FF80001h       ; XX XXXX XXXX X001
LP_OSC          equ     3FF80000h       ; XX XXXX XXXX X000
WDT_ON          equ     3FF70008h       ; XX XXXX XXXX 1XXX
WDT_OFF         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_ON         equ     3FEF0000h       ; XX XXXX XXX0 XXXX
PWRT_OFF        equ     3FEF0010h       ; XX XXXX XXX1 XXXX
MCLR_ON         equ     3FDF0020h       ; XX XXXX XX1X XXXX
MCLR_OFF        equ     3FDF0000h       ; XX XXXX XX0X XXXX
BOD_ON          equ     3FBF0040h       ; XX XXXX X1XX XXXX
BOD_OFF         equ     3FBF0000h       ; XX XXXX X0XX XXXX
VBOR_25         equ     33FF0C00h       ; XX 11XX XXXX XXXX
VBOR_27         equ     33FF0800h       ; XX 10XX XXXX XXXX
VBOR_42         equ     33FF0400h       ; XX 01XX XXXX XXXX
VBOR_45         equ     33FF0000h       ; XX 00XX XXXX XXXX
PROTECT_ON      equ     0CFF0000h       ; 00 XX00 XXXX XXXX
PROTECT_OFF     equ     0CFF3300h       ; 11 XX11 XXXX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTB           equ     06h             ; Port B Data
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
TMR1L           equ     0Eh             ; Timer 1 Data (LSB)
TMR1H           equ     0Fh             ; Timer 1 Data (MSB)
T1CON           equ     10h             ; Timer 1 Control
ADRESH          equ     1Eh             ; A/D Result High
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG      equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISB           equ     86h             ; Port B Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PCON            equ     8Eh             ; Power Control
WPUB            equ     95h
IOCB            equ     96h
REFCON          equ     9Bh             ; Voltage Reference Control
LVDCON          equ     9Ch             ; Low Voltage Detect Control
ANSEL           equ     9Dh
ADCON1          equ     9Fh             ; A/D Control 1
PMDATL          equ     10Ch
PMADRL          equ     10Dh
PMDATH          equ     10Eh
PMADRH          equ     10Fh
CALCON          equ     110h
PSMCCON0        equ     111h
PSMCCON1        equ     112h
CM1CON0         equ     119h
CM2CON0         equ     11Ah
CM2CON1         equ     11Bh
OPACON          equ     11Ch
DAC             equ     11Eh
DACON0          equ     11Fh
PMCON1          equ     18Ch

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
TO              equ     4               ; Time Out
RP0             equ     5               ; Direct Data Page Select 0
RP1             equ     6               ; Direct Data Page Select 1
IRP             equ     7               ; Indirect Data Page Select

					; *** INTCON Bits
RBIF            equ     0               ; PORTB[4..7] Change Interrupt Flag
INTF            equ     1               ; RB0/INT Interrupt Flag
T0IF            equ     2               ; TMR0 Overflow Interrupt Flag
RBIE            equ     3               ; PORTB[4..7] Change Interrupt Enable
INTE            equ     4               ; RB0/INT Interrupt Enable
T0IE            equ     5               ; TMR0 Overflow Interrupt Enable
PEIE            equ     6               ; Peripheral Interrupt Enable
GIE             equ     7               ; Global Interrupt Enable

					; *** PIR1 Bits
TMR1IF          equ     0               ; Timer 1 Interrupt Flag
C1IF            equ     4               ; Comparator C1 Interrupt Flag
C2IF            equ     5               ; Comparator C2 Interrupt Flag
ADIF            equ     6               ; A/D Interrupt Flag
LVDIF           equ     7               ; Low Voltage Detect Interrupt Flag

					; *** T1CON Bits
TMR1ON          equ     0               ; Timer 1 Enable
TMR1CS          equ     1               ; Timer 1 Clock Select
T1INSYNC        equ     2               ; Timer 1 Sync Enable
T1OSCEN         equ     3               ; Timer 1 Oscillator Enable
T1CKPS0         equ     4               ; Timer 1 Prescaler Select (2 Bits)
T1CKPS1         equ     5
TMR1GE          equ     6

					; *** ADCON0 Bits
ADON            equ     0               ; A/D Power Control
CHS3            equ     1
GO_DONE         equ     2               ; A/D GO/DONE Bit
CHS0            equ     3               ; A/D Channel Select (4 Bits)
CHS1            equ     4
CHS2            equ     5
ADCS0           equ     6               ; A/D Clock Select (2 Bits)
ADCS1           equ     7

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select
INTEDG          equ     6               ; RB0/INT Edge Select
RBPU            equ     7               ; Port B Weak Pull-Up Enable

					; *** PIE1 Bits
TMR1IE          equ     0               ; Timer 1 Interrupt Enable
C1IE            equ     4               ; Comparator C1 Interrupt Enable
C2IE            equ     5               ; Comparator C2 Interrupt Enable
ADIE            equ     6               ; A/D Interrupt Enable
LVDIE           equ     7               ; Low Voltage Detect Interrupt Enable

					; *** PCON Bits
BOR             equ     0               ; Brown-Out Reset Flag
POR             equ     1               ; Power-On Reset Flag
OSCF            equ     3
WDTON           equ     4		; Watchdog Timer On Enable

                                        ; *** REFCON Bits
VREFOE          equ     2
VREFEN          equ     3

                                        ; *** LVDCON Bits
LV0             equ     0
LV1             equ     1
LV2             equ     2
LV3             equ     3
LVDEN           equ     4
BGST            equ     5

					; *** ADCON1 Bits
VCFG0           equ     4
VCFG1           equ     5

                                        ; *** CALCON Bits
CALREF          equ     5
CALERR          equ     6
CAL             equ     7

                                        ; *** PSMCCON0 Bits
DC0             equ     0
DC1             equ     1
MAXDC0          equ     2
MAXDC1          equ     3
MINDC0          equ     4
MINDC1          equ     5
SMCCL0          equ     6
SMCCL1          equ     7

                                        ; *** PSMCCON1 Bits
SMCCS           equ     0
PSM             equ     1
SMCOM           equ     2
SCEN            equ     3
S1BPOL          equ     5
S1APOL          equ     6
SMCON           equ     7

                                        ; *** CM1CON0 Bits
C1CH0           equ     0
C1CH1           equ     1
C1R             equ     2
C1SP            equ     3
C1POL           equ     4
C1OE            equ     5
C1OUT           equ     6
C1ON            equ     7

                                        ; *** CM2CON0 Bits
C2CH0           equ     0
C2CH1           equ     1
C2R             equ     2
C2SP            equ     3
C2POL           equ     4
C2OE            equ     5
C2OUT           equ     6
C2ON            equ     7

                                        ; *** CM2CON1 Bits
C2SYNC          equ     0
MC2OUT          equ     6
MC1OUT          equ     7

                                        ; *** OPACON Bits
GBWP            equ     0
CMPEN           equ     6
OPAON           equ     7

                                        ; *** DACON Bits
DARS0           equ     0
DARS1           equ     1
DAOE            equ     6
DAON            equ     7

                                        ; *** PMCON1 Bits
RD              equ     0

        LIST
