;****************************************************************************
; PIC16F688 Header
;       Copyright 1995, 2004 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
                DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50081003h       ; 14-Bit, 4K Code, 256 EE, ID = 3

					; *** DEVICE Device Definitions
PIC16F688       equ     50081003h       ; 14-Bit, 4K Code, 256 EE, ID = 3

					; *** DEVICE Fuses Definitions
EXTRC_OSC_CLKOUT equ    3FF80007h       ; XX XXXX XXXX X111
EXTRC_OSC_NOCLKOUT equ  3FF80006h       ; XX XXXX XXXX X110
EXTRC_OSC       equ     3FF80006h       ; XX XXXX XXXX X110
INTRC_OSC_CLKOUT equ    3FF80005h       ; XX XXXX XXXX X101
INTRC_OSC_NOCLKOUT equ  3FF80004h       ; XX XXXX XXXX X100
INTRC_OSC       equ     3FF80004h       ; XX XXXX XXXX X100
EC_OSC          equ     3FF80003h       ; XX XXXX XXXX X011
HS_OSC          equ     3FF80002h       ; XX XXXX XXXX X010
XT_OSC          equ     3FF80001h       ; XX XXXX XXXX X001
LP_OSC          equ     3FF80000h       ; XX XXXX XXXX X000
WDT_ON          equ     3FF70008h       ; XX XXXX XXXX 1XXX
WDT_OFF         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_OFF        equ     3FEF0010h       ; XX XXXX XXX1 XXXX
PWRT_ON         equ     3FEF0000h       ; XX XXXX XXX0 XXXX
MCLR_ON         equ     3FDF0020h       ; XX XXXX XX1X XXXX
MCLR_OFF        equ     3FDF0000h       ; XX XXXX XX0X XXXX
PROTECT_ON      equ     3FBF0000h       ; XX XXXX X0XX XXXX
PROTECT_OFF     equ     3FBF0040h       ; XX XXXX X1XX XXXX
CPD_ON          equ     3F7F0000h       ; XX XXXX 0XXX XXXX
CPD_OFF         equ     3F7F0080h       ; XX XXXX 1XXX XXXX
BOD_ON          equ     3CFF0300h       ; XX XX11 XXXX XXXX
BOD_NSLEEP      equ     3CFF0200h       ; XX XX10 XXXX XXXX
BOD_SBODEN      equ     3CFF0100h       ; XX XX01 XXXX XXXX
BOD_OFF         equ     3CFF0000h       ; XX XX00 XXXX XXXX
IESO_ON         equ     3BFF0400h       ; XX X1XX XXXX XXXX
IESO_OFF        equ     3BFF0000h       ; XX X0XX XXXX XXXX
FCMEN_ON        equ     37FF0800h       ; XX 1XXX XXXX XXXX
FCMEN_OFF       equ     37FF0000h       ; XX 0XXX XXXX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTC           equ     07h             ; Port C Data
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
TMR1L           equ     0Eh             ; Timer 1 Data (LSB)
TMR1H           equ     0Fh             ; Timer 1 Data (MSB)
T1CON           equ     10h             ; Timer 1 Control
BAUDCTL         equ     11h             ; Baud Rate Control
SPBRGH          equ     12h             ; Baud Rate High
SPBRG           equ     13h             ; Baud Rate Register
RCREG           equ     14h             ; Receive Register
TXREG           equ     15h             ; Transmit Register
TXSTA           equ     16h             ; Transmit Status
RCSTA           equ     17h             ; Receive Status
WDTCON          equ     18h             ; Watchdog Timer Control
CMCON0          equ     19h             ; Comparator Control 0
CMCON1          equ     1Ah             ; Comparator Control 1
ADRESH          equ     1Eh             ; A/D Result High
ADRES           equ     1Eh             ; A/D Result
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG	equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISC           equ     87h             ; Port C Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PCON            equ     8Eh             ; Power Control
OSCCON          equ     8Fh             ; Oscillator Control
OSCTUNE         equ     90h             ; Oscillator Tune
ANSEL           equ     91h             ; Analog Select
WPU             equ     95h             ; Weak Pull-Up Register
WPUA            equ     95h             ; Weak Pull-Up Register
IOC             equ     96h             ; Interrupt-On-Change Register
IOCA            equ     96h             ; Interrupt-On-Change Register
EEDATH          equ     97h             ; EEPROM Data High
EEADRH          equ     98h             ; EEPROM Address High
VRCON           equ     99h             ; Voltage Reference Control
EEDATA          equ     9Ah             ; EEPROM Data
EEADR           equ     9Bh             ; EEPROM Address
EECON1          equ     9Ch             ; EEPROM Control 1
EECON2          equ     9Dh             ; EEPROM Control 2
ADRESL          equ     9Eh             ; A/D Result Low
ADCON1          equ     9Fh             ; A/D Control 1

					; *** STATUS Bits
C               equ     0	        ; Carry
DC              equ     1	        ; Digit (Half) Carry
Z               equ     2	        ; Zero
PD              equ     3	        ; Power Down
NOT_PD          equ     3	        ; Power Down
TO              equ     4	        ; Time Out
NOT_TO          equ     4	        ; Time Out
RP0             equ     5	        ; Direct Data Page Select 0
RP1             equ     6	        ; Direct Data Page Select 1
IRP             equ     7	        ; Indirect Data Page Select

					; *** INTCON Bits
RAIF            equ     0	        ; PORTA Change Interrupt Flag
INTF            equ     1	        ; External Interrupt Flag
T0IF            equ     2	        ; TMR0 Overflow Interrupt Flag
RAIE            equ     3	        ; PORTA Change Interrupt Enable
INTE            equ     4	        ; External Interrupt Enable
T0IE            equ     5	        ; TMR0 Overflow Interrupt Enable
PEIE            equ     6	        ; Peripheral Interrupt Enable
GIE             equ     7	        ; Global Interrupt Enable

					; *** PIR1 Bits
TMR1IF          equ     0	        ; Timer 1 Interrupt Flag
TXIF            equ     1	        ; Transmit Interrupt Flag
OSFIF           equ     2	        ; Oscillator Fail Interrupt Flag
C1IF            equ     3	        ; Comparator 1 Interrupt Flag
C2IF            equ     4	        ; Comparator 2 Interrupt Flag
RCIF            equ     5	        ; Receive Interrupt Flag
ADIF            equ     6	        ; A/D Interrupt Flag
EEIF            equ     7	        ; EEPROM Interrupt Flag

					; *** T1CON Bits
TMR1ON          equ     0	        ; Timer 1 Enable
TMR1CS          equ     1	        ; Timer 1 Clock Select
T1INSYNC        equ     2	        ; Timer 1 Sync Enable
T1OSCEN         equ     3	        ; Timer 1 Oscillator Enable
T1CKPS0         equ     4	        ; Timer 1 Prescaler Select (2 Bits)
T1CKPS1         equ     5
TMR1GE          equ     6		; Timer 1 Gate Enable
T1GINV          equ     7

					; *** BAUDCTL Bits
ABDEN           equ     0
WUE             equ     1
BRG16           equ     3
SCKP            equ     4
RCIDL           equ     6
ABDOVF          equ     7

					; *** TXSTA Bits
TX9D            equ     0	        ; ASP Transmit 9th Bit
TRMT            equ     1	        ; ASP Transmit Shift Register Empty
BRGH            equ     2	        ; ASP High Baud Rate Select
SYNC            equ     4	        ; ASP Mode Select
TXEN            equ     5	        ; ASP Transmit Enable
TX9             equ     6	        ; ASP Transmit Data Length Select
CSRC            equ     7	        ; ASP Clock Source Select

					; *** RCSTA Bits
RX9D            equ     0	        ; ASP Received 9th/Parity Bit
OERR            equ     1	        ; ASP Overrun Flag
FERR            equ     2	        ; ASP Framing Error Flag
ADDEN           equ     3
CREN            equ     4	        ; ASP Continuous Receive Enable
SREN            equ     5	        ; ASP Single Receive Enable
RX9             equ     6	        ; ASP Receive Data Length Select
SPEN            equ     7	        ; ASP Enable

					; *** WDTCON Bits
SWDTEN          equ     0
WDTPS0          equ     1
WDTPS1          equ     2
WDTPS2          equ     3
WDTPS3          equ     4

					; *** CMCON0 Bits
CM0             equ     0	        ; Comparator Mode (2 Bits)
CM1             equ     1
CM2             equ     2
CIS             equ     3	        ; Comparator Input Select
C1INV           equ     4	        ; Comparator 1 Output Inversion
C2INV           equ     5	        ; Comparator 2 Output Inversion
C1OUT           equ     6	        ; Comparator 1 Output
C2OUT           equ     7	        ; Comparator 2 Output

					; *** CMCON1 Bits
C2SYNC          equ     0
T1GSS           equ     1

					; *** ADCON0 Bits
ADON            equ     0	        ; A/D Power Control
GO_DONE         equ     1	        ; A/D GO/DONE Bit
CHS0            equ     2	        ; A/D Channel Select (3 Bits)
CHS1            equ     3
CHS2            equ     4
VCFG            equ     6	        ; A/D Voltage Reference
ADFM            equ     7		; A/D Result Formed Select

					; *** OPTION_REG Bits
PS0             equ     0	        ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3	        ; Prescaler Assignment
T0SE            equ     4	        ; Timer0 Source Edge Select
T0CS            equ     5	        ; Timer0 Clock Source Select
INTEDG          equ     6	        ; Interrupt Edge
RAPU            equ     7	        ; Enable Weak Pullups
NOT_RAPU        equ     7	        ; Enable Weak Pullups

					; *** PIE1 Bits
TMR1IE          equ     0	        ; Timer 1 Interrupt Enable
TXIE            equ     1	        ; Transmit Interrupt Enable
OSFIE           equ     2	        ; Oscillator Fail Interrupt Enable
C1IE            equ     3	        ; Comparator 1 Interrupt Enable
C2IE            equ     4	        ; Comparator 2 Interrupt Enable
RCIE            equ     5	        ; Receive Interrupt Enable
ADIE            equ     6	        ; A/D Interrupt Enable
EEIE            equ     7	        ; EEPROM Interrupt Enable

					; *** PCON Bits
BOD             equ     0	        ; Brown-Out Detect Flag
NOT_BOD         equ     0	        ; Brown-Out Detect Flag
POR             equ     1	        ; Power-On Reset Flag
NOT_POR         equ     1	        ; Power-On Reset Flag
SBODEN          equ     4
ULPWUE          equ     5

					; *** OSCCON Bits
SCS             equ     0
LTS             equ     1
HTS             equ     2
OSTS            equ     3
IRCF0           equ     4
IRCF1           equ     5
IRCF2           equ     6

					; *** OSCTUNE Bits
TUN0            equ     0
TUN1            equ     1
TUN2            equ     2
TUN3            equ     3
TUN4            equ     4

					; *** ANSEL Bits
ANS0            equ     0
ANS1            equ     1
ANS2            equ     2
ANS3            equ     3
ANS4            equ     4
ANS5            equ     5
ANS6            equ     6
ANS7            equ     7

					; *** VRCON Bits
VR0             equ     0	        ; VRef Select (4 Bits)
VR1             equ     1
VR2             equ     2
VR3             equ     3
VRR             equ     5	        ; VRef Range Select
VREN            equ     7	        ; VRef Enable

					; *** EECON1 Bits
RD              equ     0	        ; EEPROM Read Control
WR              equ     1	        ; EEPROM Write Control
WREN            equ     2	        ; EEPROM Write Enable
WRERR           equ     3	        ; EEPROM Write Error Flag

					; *** ADCON1 Bits
ADCS0           equ     4		; A/D Conversion Clock Select
ADCS1           equ     5
ADCS2           equ     6

        LIST
