;****************************************************************************
; PIC16F7x7 Family Header
;       Copyright 1995, 2004 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
		DEVICE  3FFF3FFFh       ; All Fuse Bits On
                DEVICE  50100004h       ; 14-Bit, 8K Code, 0 EE, ID = 4

					; *** DEVICE Device Definitions
PIC16F737       equ     50080003h       ; 14-Bit, 4K Code, 0 EE, ID = 3
PIC16F747       equ     50080003h       ; 14-Bit, 4K Code, 0 EE, ID = 3
PIC16F767       equ     50100004h       ; 14-Bit, 8K Code, 0 EE, ID = 4
PIC16F777       equ     50100004h       ; 14-Bit, 8K Code, 0 EE, ID = 4

					; *** DEVICE Fuses Definitions
EXTRC_OSC_CLKOUT equ    3FEC0013h       ; XX XXXX XXX1 XX11
EXTRC_OSC_NOCLKOUT equ  3FEC0012h       ; XX XXXX XXX1 XX10
EXTRC_OSC       equ     3FEC0012h       ; XX XXXX XXX1 XX10
INTRC_OSC_CLKOUT equ    3FEC0011h       ; XX XXXX XXX1 XX01
INTRC_OSC_NOCLKOUT equ  3FEC0010h       ; XX XXXX XXX1 XX00
INTRC_OSC       equ     3FEC0010h       ; XX XXXX XXX1 XX00
EXTCLK_OSC      equ     3FEC0003h       ; XX XXXX XXX0 XX11
EC_OSC          equ     3FEC0003h       ; XX XXXX XXX0 XX11
HS_OSC          equ     3FEC0002h       ; XX XXXX XXX0 XX10
XT_OSC          equ     3FEC0001h       ; XX XXXX XXX0 XX01
LP_OSC          equ     3FEC0000h       ; XX XXXX XXX0 XX00
WDT_ON          equ     3FFB0004h       ; XX XXXX XXXX X1XX
WDT_OFF         equ     3FFB0000h       ; XX XXXX XXXX X0XX
PWRT_ON         equ     3FF70000h       ; XX XXXX XXXX 0XXX
PWRT_OFF        equ     3FF70008h       ; XX XXXX XXXX 1XXX
MCLR_ON         equ     3FDF0020h       ; XX XXXX XX1X XXXX
MCLR_OFF        equ     3FDF0000h       ; XX XXXX XX0X XXXX
BOREN_1         equ     3FBF0040h       ; XX XXXX X1XX XXXX
BOREN_0         equ     3FBF0000h       ; XX XXXX X0XX XXXX
VBOR_20         equ     3E7F0180h       ; XX XXX1 1XXX XXXX
VBOR_27         equ     3E7F0100h       ; XX XXX1 0XXX XXXX
VBOR_42         equ     3E7F0080h       ; XX XXX0 1XXX XXXX
VBOR_45         equ     3E7F0000h       ; XX XXX0 0XXX XXXX
CCPMX_ON        equ     2FFF0000h       ; X0 XXXX XXXX XXXX
CCPMX_OFF       equ     2FFF1000h       ; X1 XXXX XXXX XXXX
PROTECT_ON      equ     1FFF0000h       ; 0X XXXX XXXX XXXX
PROTECT_OFF     equ     1FFF2000h       ; 1X XXXX XXXX XXXX
FCMEN_ON	equ     3FFE0001h       ; XX XXXX XXXX XXX1
FCMEN_OFF	equ     3FFE0000h       ; XX XXXX XXXX XXX0
IESO_ON		equ     3FFD0002h       ; XX XXXX XXXX XX1X
IESO_OFF	equ     3FFD0000h       ; XX XXXX XXXX XX0X
BORSEN_1	equ     3FBF0040h       ; XX XXXX X1XX XXXX
BORSEN_0	equ     3FBF0000h       ; XX XXXX X0XX XXXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTB           equ     06h             ; Port B Data
PORTC           equ     07h             ; Port C Data
PORTD           equ     08h             ; Port D Data
PORTE           equ     09h             ; Port E Data
PCLATH          equ     0Ah             ; Program Counter (MSB)
INTCON          equ     0Bh             ; Interrupt Control
PIR1            equ     0Ch             ; Peripheral Interrupt Flags 1
PIR2            equ     0Dh             ; Peripheral Interrupt Flags 2
TMR1L           equ     0Eh             ; Timer 1 Data (LSB)
TMR1H           equ     0Fh             ; Timer 1 Data (MSB)
T1CON           equ     10h             ; Timer 1 Control
TMR2            equ     11h             ; Timer 2 Data
T2CON           equ     12h             ; Timer 2 Control
SSPBUF          equ     13h             ; SSP Data
SSPCON          equ     14h             ; SSP Control
CCPR1L          equ     15h             ; CCP 1 Data (LSB)
CCPR1H          equ     16h             ; CCP 1 Data (MSB)
CCP1CON         equ     17h             ; CCP 1 Control
RCSTA           equ     18h             ; ASP Status/Control
TXREG           equ     19h             ; ASP Transmit Data
RCREG           equ     1Ah             ; ASP Receive Data
CCPR2L          equ     1Bh             ; CCP 2 Data (LSB)
CCPR2H          equ     1Ch             ; CCP 2 Data (MSB)
CCP2CON         equ     1Dh             ; CCP 2 Control
ADRESH          equ     1Eh             ; A/D Result High
ADRES           equ     1Eh             ; A/D Result High
ADCON0          equ     1Fh             ; A/D Control 0
OPTION_REG	equ     81h             ; OPTION Register
TRISA           equ     85h             ; Port A Tristate Control
TRISB           equ     86h             ; Port B Tristate Control
TRISC           equ     87h             ; Port C Tristate Control
TRISD           equ     88h             ; Port D Tristate Control
TRISE           equ     89h             ; Port E Tristate Control
PIE1            equ     8Ch             ; Peripheral Interrupt Enables 1
PIE2            equ     8Dh             ; Peripheral Interrupt Enables 2
PCON            equ     8Eh             ; Power Control
OSCCON          equ     8Fh             ; Oscillator Control
OSCTUNE         equ     90h             ; Oscillator Tune
SSPCON2         equ     91h             ; SSP Control 2
PR2             equ     92h             ; Timer 2 Period
SSPADD          equ     93h             ; SSP I2C Address
SSPSTAT         equ     94h             ; SSP Status Flags
CCPR3L          equ     95h             ; CCP 3 Data (LSB)
CCPR3H          equ     96h             ; CCP 3 Data (MSB)
CCP3CON         equ     97h             ; CCP 3 Control
TXSTA           equ     98h             ; ASP Transmit Status/Control
SPBRG           equ     99h             ; ASP Baud Rate
ADCON2          equ     9Bh             ; A/D Control 2
CMCON           equ     9Ch             ; Comparator Control
CVRCON          equ     9Dh             ; Comparator Voltage Reference Control
ADRESL          equ     9Eh             ; A/D Result Low
ADCON1          equ     9Fh             ; A/D Control 1
WDTCON          equ     105h            ; Watchdog Timer Control
LVDCON          equ     109h            ; Low Voltage Detect Control
PMDATL          equ     10Ch            ; PM Data
PMADRL          equ     10Dh            ; PM Address
PMDATH          equ     10Eh            ; PM Data High
PMADRH          equ     10Fh            ; PM Address High
PMCON1          equ     18Ch            ; PM Control 1

					; *** STATUS Bits
C               equ     0	        ; Carry
DC              equ     1	        ; Digit (Half) Carry
Z               equ     2	        ; Zero
PD              equ     3	        ; Power Down
TO              equ     4	        ; Time Out
RP0             equ     5	        ; Direct Data Page Select 0
RP1             equ     6	        ; Direct Data Page Select 1
IRP             equ     7	        ; Indirect Data Page Select

					; *** INTCON Bits
RBIF            equ     0	        ; PORTB[4..7] Change Interrupt Flag
INTF            equ     1	        ; RB0/INT Interrupt Flag
T0IF            equ     2	        ; TMR0 Overflow Interrupt Flag
RBIE            equ     3	        ; PORTB[4..7] Change Interrupt Enable
INTE            equ     4	        ; RB0/INT Interrupt Enable
T0IE            equ     5	        ; TMR0 Overflow Interrupt Enable
PEIE            equ     6	        ; Peripheral Interrupt Enable
GIE             equ     7	        ; Global Interrupt Enable

					; *** PIR1 Bits
TMR1IF          equ     0	        ; Timer 1 Interrupt Flag
TMR2IF          equ     1	        ; Timer 2 Interrupt Flag
CCP1IF          equ     2	        ; CCP 1 Interrupt Flag
SSPIF           equ     3	        ; SSP Interrupt Flag
TXIF            equ     4	        ; ASP Transmit Interrupt Flag
RCIF            equ     5	        ; ASP Receive Interrupt Flag
ADIF            equ     6	        ; A/D Interrupt Flag
PSPIF           equ     7	        ; PSP Interrupt Flag

					; *** PIR2 Bits
CCP2IF          equ     0	        ; CCP 2 Interrupt Flag
CCP3IF          equ     1	        ; CCP 3 Interrupt Flag
BCLIF           equ     3	        ; Bus Collision Interrupt Flag
LVDIF           equ     5	        ; Low Voltage Detect Interrupt Flag
CMIF            equ     6	        ; Comparator Interrupt Flag
OSFIF           equ     7	        ; Oscillator Fail Interrupt Flag

					; *** T1CON Bits
TMR1ON          equ     0	        ; Timer 1 Enable
TMR1CS          equ     1	        ; Timer 1 Clock Select
T1INSYNC        equ     2	        ; Timer 1 Sync Enable
T1OSCEN         equ     3	        ; Timer 1 Oscillator Enable
T1CKPS0         equ     4	        ; Timer 1 Prescaler Select (2 Bits)
T1CKPS1         equ     5
T1RUN           equ     6

					; *** T2CON Bits
T2CKPS0         equ     0	        ; Timer 2 Prescaler Select (2 Bits)
T2CKPS1         equ     1
TMR2ON          equ     2	        ; Timer 2 Enable
TOUTPS0         equ     3	        ; Timer 2 Postscaler Select (4 Bits)
TOUTPS1         equ     4
TOUTPS2         equ     5
TOUTPS3         equ     6

					; *** SSPCON Bits
SSPM0           equ     0	        ; SSP Mode Select (4 Bits)
SSPM1           equ     1
SSPM2           equ     2
SSPM3           equ     3
CKP             equ     4	        ; SSP Clock Polarity Select
SSPEN           equ     5	        ; SSP Enable
SSPOV           equ     6	        ; SSP Receive Overflow Flag
WCOL            equ     7	        ; SSP Write Collision Detect

					; *** CCP1CON Bits
CCP1M0          equ     0	        ; CCP 1 Mode Select (4 Bits)
CCP1M1          equ     1
CCP1M2          equ     2
CCP1M3          equ     3
CCP1Y           equ     4	        ; CCP 1 PWM Bit 0
CCP1X           equ     5	        ; CCP 1 PWM Bit 1

					; *** RCSTA Bits
RX9D            equ     0	        ; ASP Received 9th/Parity Bit
OERR            equ     1	        ; ASP Overrun Flag
FERR            equ     2	        ; ASP Framing Error Flag
ADDEN           equ     3
CREN            equ     4	        ; ASP Continuous Receive Enable
SREN            equ     5	        ; ASP Single Receive Enable
RX9             equ     6	        ; ASP Receive Data Length Select
SPEN            equ     7	        ; ASP Enable

					; *** CCP2CON Bits
CCP2M0          equ     0	        ; CCP 2 Mode Select (4 Bits)
CCP2M1          equ     1
CCP2M2          equ     2
CCP2M3          equ     3
CCP2Y           equ     4	        ; CCP 2 PWM Bit 0
CCP2X           equ     5	        ; CCP 2 PWM Bit 1

					; *** ADCON0 Bits
ADON            equ     0	        ; A/D Power Control
CHS3            equ     1
GO_DONE         equ     2	        ; A/D GO/DONE Bit
CHS0            equ     3	        ; A/D Channel Select (4 Bits)
CHS1            equ     4
CHS2            equ     5
ADCS0           equ     6	        ; A/D Clock Select (2 Bits)
ADCS1           equ     7

					; *** OPTION Bits
PS0             equ     0	        ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3	        ; Prescaler Assignment
T0SE            equ     4	        ; Timer 0 Source Edge Select
T0CS            equ     5	        ; Timer 0 Clock Source Select
INTEDG          equ     6	        ; RB0/INT Edge Select
RBPU            equ     7	        ; Port B Weak Pull-Up Enable

					; *** TRISE Bits
TRISE0          equ     0	        ; PORTE[0..2] Tristate Control (3 Bits)
TRISE1          equ     1
TRISE2          equ     2
TRISE3          equ     3
PSPMODE         equ     4	        ; PSP Mode Select
IBOV            equ     5	        ; PSP Input Buffer Overflow Flag
OBF             equ     6	        ; PSP Output Buffer Full Flag
IBF             equ     7	        ; PSP input Buffer Full Flag

					; *** PIE1 Bits
TMR1IE          equ     0	        ; Timer 1 Interrupt Enable
TMR2IE          equ     1	        ; Timer 2 Interrupt Enable
CCP1IE          equ     2	        ; CCP 1 Interrupt Enable
SSPIE           equ     3	        ; SSP Interrupt Enable
TXIE            equ     4	        ; ASP Transmit Interrupt Enable
RCIE            equ     5	        ; ASP Receive Interrupt Enable
ADIE            equ     6	        ; A/D Interrupt Enable
PSPIE           equ     7	        ; PSP Interrupt Enable

					; *** PIE2 Bits
CCP2IE          equ     0	        ; CCP 2 Interrupt Enable
CCP3IE          equ     1	        ; CCP 3 Interrupt Enable
BCLIE           equ     3	        ; Bus Collision Interrupt Enable
LVDIE           equ     5	        ; Low Voltage Detect Interrupt Enable
CMIE            equ     6	        ; Comparator Interrupt Enable
OSFIE           equ     7	        ; Oscillator Fail Interrupt Enable

					; *** PCON Bits
BOR             equ     0	        ; Brown-Out Reset Flag
POR             equ     1	        ; Power-On Reset Flag
SBOREN          equ     2	        ; Brown-Out Select Flag

					; *** OSCCON Bits
SCS0            equ     0
SCS1            equ     1
IOFS            equ     2
OSTS            equ     3
IRCF0           equ     4
IRCF1           equ     5
IRCF2           equ     6

					; *** OSCTUNE Bits
TUN0            equ     0
TUN1            equ     1
TUN2            equ     2
TUN3            equ     3
TUN4            equ     4
TUN5            equ     5

                                        ; *** SSPCON2 Bits
SEN             equ     0
RSEN            equ     1
PEN             equ     2
RCEN            equ     3
ACKEN           equ     4
ACKDT           equ     5
ACKSTAT         equ     6
GCEN            equ     7

					; *** SSPSTAT Bits
BF              equ     0	        ; SSP Buffer Full Flag
UA              equ     1	        ; SSP I2C Update Address Flag
R_W             equ     2	        ; SSP I2C Read/Write Status
S               equ     3	        ; SSP I2C Start Flag
P               equ     4	        ; SSP I2C Stop Flag
D_A             equ     5	        ; SSP I2C Data/Address Flag
CKE             equ     6	        ; SSP SPI Clock Edge Select
SMP             equ     7	        ; SSP SPI Data Input Sample Phase

					; *** CCP2CON Bits
CCP3M0          equ     0	        ; CCP 3 Mode Select (4 Bits)
CCP3M1          equ     1
CCP3M2          equ     2
CCP3M3          equ     3
CCP3Y           equ     4	        ; CCP 3 PWM Bit 0
CCP3X           equ     5	        ; CCP 3 PWM Bit 1

					; *** TXSTA Bits
TX9D            equ     0	        ; ASP Transmit 9th Bit
TRMT            equ     1	        ; ASP Transmit Shift Register Empty
BRGH            equ     2	        ; ASP High Baud Rate Select
SYNC            equ     4	        ; ASP Mode Select
TXEN            equ     5	        ; ASP Transmit Enable
TX9             equ     6	        ; ASP Transmit Data Length Select
CSRC            equ     7	        ; ASP Clock Source Select

					; *** ADCON2 Bits
ADCQT0          equ     3
ADCQT1          equ     4
ADCQT2          equ     5

					; *** CMCON Bits
CM0             equ     0	        ; Comparator Mode (3 Bits)
CM1             equ     1
CM2             equ     2
CIS             equ     3	        ; Comparator Input Select
C1INV           equ     4		; Comparator 1 Output Inversion Select
C2INV           equ     5		; Comparator 2 Output Inversion Select
C1OUT           equ     6	        ; Comparator 1 Output
C2OUT           equ     7	        ; Comparator 2 Output

					; *** CVRCON Bits
CVR0            equ     0	        ; VRef Select (4 Bits)
CVR1            equ     1
CVR2            equ     2
CVR3            equ     3
CVRR            equ     5		; VRef Range Select
CVROE           equ     6	        ; VRef Output Enable
CVREN           equ     7	        ; VRef Enable

					; *** ADCON1 Bits
PCFG0           equ     0	        ; Port A Configuration (3 Bits)
PCFG1           equ     1
PCFG2           equ     2
PCFG3           equ     3
VCFG0           equ     4	        ; VREF Configuration (2 Bits)
VCFG1           equ     5
ADCS2           equ     6	        ; A/D Clock Select
ADFM            equ     7	        ; A/D Result Format Select

					; *** WDTCON Bits
SWDTE           equ     0
SWDTEN          equ     0
WDTPS0          equ     1
WDTPS1          equ     2
WDTPS2          equ     3
WDTPS3          equ     4

					; *** LVDCON Bits
LVDL0           equ     0
LVDL1           equ     1
LVDL2           equ     2
LVDL3           equ     3
LVDEN           equ     4
IRVST           equ     5

					; *** PMCON1 Bits
RD              equ     0	        ; Read Control

        LIST

