;****************************************************************************
; PIC16HV540 Header
;       Copyright 2001, 2004 microEngineering Labs, Inc.
;****************************************************************************
	NOLIST
					; *** Default Device Specifications
                DEVICE  000F000Fh       ; All Fuse Bits On
		DEVICE	40010000h	; 12-Bit, 512 Code, 0 EE, ID = 0

					; *** DEVICE Device Definitions
PIC16HV540	equ	40010000h	; 12-Bit, 512 Code, 0 EE, ID = 0

					; *** DEVICE Fuses Definitions
RC_OSC		equ	0FFC0003h	; XXXX XXXX XX11
HS_OSC		equ	0FFC0002h	; XXXX XXXX XX10
XT_OSC		equ	0FFC0001h	; XXXX XXXX XX01
LP_OSC		equ	0FFC0000h	; XXXX XXXX XX00
WDT_ON		equ	0FFB0004h	; XXXX XXXX X1XX
WDT_OFF		equ	0FFB0000h	; XXXX XXXX X0XX
PROTECT_OFF	equ	0FF70008h	; XXXX XXXX 1XXX
PROTECT_ON	equ	0FF70000h	; XXXX XXXX 0XXX

					; *** Register Names
INDF            equ     00h             ; Indirect Data
TMR0            equ     01h             ; Real Time Clock/Counter
PCL             equ     02h             ; Program Counter (LSB)
STATUS          equ     03h             ; Status Flags
FSR             equ     04h             ; File Select Register
PORTA           equ     05h             ; Port A Data
PORTB           equ     06h             ; Port B Data

					; *** STATUS Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
PD              equ     3               ; Power Down
NOT_PD          equ     3               ; Power Down
TO              equ     4               ; Time Out
NOT_TO          equ     4               ; Time Out
PA0             equ     5               ; Program Page Select 0
PA1             equ     6               ; Program Page Select 1
PCF             equ     7               ; Pin Change Reset

					; *** OPTION Bits
PS0             equ     0               ; Prescaler Divisor Select (3 Bits)
PS1             equ     1
PS2             equ     2
PSA             equ     3               ; Prescaler Assignment
T0SE            equ     4               ; Timer0 Source Edge Select
T0CS            equ     5               ; Timer0 Clock Source Select

					; *** OPTION2 Bits
BE		equ     0               ; Brown-out Enabled
BL		equ     1		; Brown-out Voltage Level Select
SL		equ     2		; Sleep Voltage Level Select
RL		equ     3               ; Regulated Voltage Level Select
SWE		equ     4               ; Software WDT Enable
WPC		equ     5               ; Wake-up On Pin Change

	LIST

