;****************************************************************************
; PIC17C4x Family Header
;       Copyright 1995, 2001 microEngineering Labs, Inc.
;****************************************************************************
        NOLIST
					; *** Default Device Specifications
                DEVICE  3FFFFFFFh       ; All Fuse Bits On
                DEVICE  60100004h       ; 16-Bit, 8K Code, 0 EE, ID = 4

					; *** DEVICE Device Definitions
PIC17C42A       equ     60040002h       ; 16-Bit, 2K Code, 0 EE, ID = 2
PIC17C43        equ     60080003h       ; 16-Bit, 4K Code, 0 EE, ID = 3
PIC17C44        equ     60100004h       ; 16-Bit, 8K Code, 0 EE, ID = 4

					; *** DEVICE Fuses Definitions
EC_OSC          equ     3FFCC003h       ; XXXX XXXX XXXX XX11
XT_OSC          equ     3FFCC002h       ; XXXX XXXX XXXX XX10
RC_OSC          equ     3FFCC001h       ; XXXX XXXX XXXX XX01
LF_OSC          equ     3FFCC000h       ; XXXX XXXX XXXX XX00
WDT_1           equ     3FF3C00Ch       ; XXXX XXXX XXXX 11XX
WDT_256         equ     3FF3C008h       ; XXXX XXXX XXXX 10XX
WDT_64          equ     3FF3C004h       ; XXXX XXXX XXXX 01XX
WDT_OFF         equ     3FF3C000h       ; XXXX XXXX XXXX 00XX
WDT_NORM        equ     3FF3C000h       ; XXXX XXXX XXXX 00XX
MP_MODE         equ     3FAFC050h       ; 1XXX XXXX X1X1 XXXX
MC_MODE         equ     3FAFC040h       ; 1XXX XXXX X1X0 XXXX
XMC_MODE        equ     3FAFC010h       ; 1XXX XXXX X0X1 XXXX
PMC_MODE        equ     3FAF4000h       ; 0XXX XXXX X0X0 XXXX

					; *** Register Names
INDF0           equ     00h             ; Indirect Data 0
FSR0            equ     01h             ; File Select Register 0
PCL             equ     02h             ; Program Counter (LSB)
PCLATH          equ     03h             ; Program Counter Latch High
ALUSTA          equ     04h             ; ALU Status register
T0STA           equ     05h             ; Timer0 Status register
CPUSTA          equ     06h             ; CPU Status register
INTSTA          equ     07h             ; Interrupt Status register
INDF1           equ     08h             ; Indirect Data 1
FSR1            equ     09h             ; File Select Register 1
WREG            equ     0Ah             ; W Register
TMR0L           equ     0Bh             ; Timer 0 Data (LSB)
TMR0H           equ     0Ch             ; Timer 0 Data (MSB)
TBLPTRL         equ     0Dh             ; Table Pointer (LSB)
TBLPTRH         equ     0Eh             ; Table Pointer (MSB)
BSR             equ     0Fh             ; Bank Select Register
PORTA           equ     10h             ; Port A Data
DDRB            equ     11h             ; Port B Tristate Control
PORTB           equ     12h             ; Port B Data
RCSTA           equ     13h             ; ASP Status/Control
RCREG           equ     14h             ; ASP Receive Data
TXSTA           equ     15h             ; ASP Transmit Status/Control
TXREG           equ     16h             ; ASP Transmit Data
SPBRG           equ     17h             ; ASP Baud Rate
PRODL           equ     18h             ; Multiply Product (LSB)
PRODH           equ     19h             ; Multiply Product (MSB)
DDRC            equ     110h            ; Port C Tristate Control
PORTC           equ     111h            ; Port C Data
DDRD            equ     112h            ; Port D Tristate Control
PORTD           equ     113h            ; Port D Data
DDRE            equ     114h            ; Port E Tristate Control
PORTE           equ     115h            ; Port E Data
PIR             equ     116h            ; Peripheral Interrupt Flags
PIE             equ     117h            ; Peripheral Interrupt Enables
TMR1            equ     210h            ; Timer 1 Data
TMR2            equ     211h            ; Timer 2 Data
TMR3L           equ     212h            ; Timer 3 Data (LSB)
TMR3H           equ     213h            ; Timer 3 Data (MSB)
PR1             equ     214h            ; Timer 1 Period
PR2             equ     215h            ; Timer 2 Period
PR3L            equ     216h            ; Timer 3 Period (LSB)
PR3H            equ     217h            ; Timer 3 Period (MSB)
PW1DCL          equ     310h
PW2DCL          equ     311h
PW1DCH          equ     312h
PW2DCH          equ     313h
CA2L            equ     314h
CA2H            equ     315h
TCON1           equ     316h            ; Timer 1 Control
TCON2           equ     317h            ; Timer 2 Control


                                        ; *** ALUSTA Bits
C               equ     0               ; Carry
DC              equ     1               ; Digit (Half) Carry
Z               equ     2               ; Zero
OV              equ     3               ; Overflow
FS0             equ     4
FS1             equ     5
FS2             equ     6
FS3             equ     7

                                        ; *** CPUSTA Bits
PD              equ     2
NOT_PD		equ     2
TO              equ     3
NOT_TO		equ     3
GLINTD          equ     4
STKAV           equ     5

                                        ; *** INTSTA Bits
INTE            equ     0               ; RB0/INT Interrupt Enable
T0IE            equ     1               ; TMR0 Overflow Interrupt Enable
T0CKIE          equ     2               ;
PEIE            equ     3               ; Peripheral Interrupt Enable
INTF            equ     4               ; RB0/INT Interrupt Flag
T0IF            equ     5               ; TMR0 Overflow Interrupt Flag
T0CKIF          equ     6               ;
PEIF            equ     7               ;

                                        ; *** PORTA Bits
INT             equ     0
T0CKI           equ     1
RBPU            equ     7

                                        ; *** RCSTA Bits
RX9D            equ     0               ; ASP Received 9th/Parity Bit
OERR            equ     1               ; ASP Overrun Flag
FERR            equ     2               ; ASP Framing Error Flag
CREN            equ     4               ; ASP Continuous Receive Enable
SREN            equ     5               ; ASP Single Receive Enable
RX9             equ     6               ; ASP Receive Data Length Select
SPEN            equ     7               ; ASP Enable

                                        ; *** TXSTA Bits
TX9D            equ     0               ; ASP Transmit 9th Bit
TRMT            equ     1               ; ASP Transmit Shift Register Empty
SYNC            equ     4               ; ASP Mode Select
TXEN            equ     5               ; ASP Transmit Enable
TX9             equ     6               ; ASP Transmit Data Length Select
CSRC            equ     7               ; ASP Clock Source Select

                                        ; *** PIR Bits
RCIF            equ     0
TXIF            equ     1
CA1IF           equ     2
CA2IF           equ     3
TMR1IF          equ     4
TMR2IF          equ     5
TMR3IF          equ     6
RBIF            equ     7

                                        ; *** PIE Bits
RCIE            equ     0
TXIE            equ     1
CA1IE           equ     2
CA2IE           equ     3
TMR1IE          equ     4
TMR2IE          equ     5
TMR3IE          equ     6
RBIE            equ     7

                                        ; *** T0STA Bits
T0PS0           equ     1
T0PS1           equ     2
T0PS2           equ     3
T0PS3           equ     4
T0CS            equ     5
T0SE            equ     6
INTEDG          equ     7

                                        ; *** TCON1 Bits
TMR1CS          equ     0
TMR2CS          equ     1
TMR3CS          equ     2
T16             equ     3
CA1ED0          equ     4
CA1ED1          equ     5
CA2ED0          equ     6
CA2ED1          equ     7

                                        ; *** TCON2 Bits
TMR1ON          equ     0
TMR2ON          equ     1
TMR3ON          equ     2
CA1_PR3         equ     3
PWM1ON          equ     4
PWM2ON          equ     5
CA1OVF          equ     6
CA2OVF          equ     7

        LIST
