Attribute VB_Name = "CommControl"
Option Explicit

' 
Global ComNum As Long '  
Global BarDCB As DCB '  
Global CtimeOut As COMMTIMEOUTS ' 
Global bRead(2047) As Byte '  

'    
Type COMMTIMEOUTS
        ReadIntervalTimeout As Long
        ReadTotalTimeoutMultiplier As Long
        ReadTotalTimeoutConstant As Long
        WriteTotalTimeoutMultiplier As Long
        WriteTotalTimeoutConstant As Long
End Type
Type DCB
        DCBlength As Long
        BaudRate As Long
        fBitFields As Long
        wReserved As Integer
        XonLim As Integer
        XoffLim As Integer
        ByteSize As Byte
        parity As Byte
        StopBits As Byte
        XonChar As Byte
        XoffChar As Byte
        ErrorChar As Byte
        EofChar As Byte
        EvtChar As Byte
        wReserved1 As Integer
End Type

'    -
Type OVERLAPPED
        Internal As Long
        InternalHigh As Long
        offset As Long
        OffsetHigh As Long
        hEvent As Long
End Type

'  API
Declare Function CreateFile Lib "kernel32" Alias "CreateFileA" (ByVal lpFileName As String, ByVal dwDesiredAccess As Long, ByVal dwShareMode As Long, ByVal lpSecurityAttributes As Long, ByVal dwCreationDisposition As Long, ByVal dwFlagsAndAttributes As Long, ByVal hTemplateFile As Long) As Long
Declare Function PurgeComm Lib "kernel32" (ByVal hFile As Long, ByVal dwFlags As Long) As Long
Public Declare Function SetCommTimeouts Lib "kernel32" (ByVal hFile As Long, lpCommTimeouts As COMMTIMEOUTS) As Long
Public Declare Function SetCommState Lib "kernel32" (ByVal hCommDev As Long, lpDCB As DCB) As Long
Declare Function ReadFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToRead As Long, lpNumberOfBytesRead As Long, lpOverlapped As OVERLAPPED) As Long
Declare Function WriteFile Lib "kernel32" (ByVal hFile As Long, lpBuffer As Any, ByVal nNumberOfBytesToWrite As Long, lpNumberOfBytesWritten As Long, lpOverlapped As OVERLAPPED) As Long
Public Declare Function CloseHandle Lib "kernel32" (ByVal hObject As Long) As Long
Public Declare Function GetLastError Lib "kernel32" () As Long


Public Sub OpenCOM(com As Integer) ' COM-
    Dim retval As Long

    ComNum = CreateFile(("COM" + Trim(Str$(com))), &HC0000000, 0, 0&, &H3, 0, 0)
    If ComNum = -1 Then
        MsgBox "   COM" + Trim(Str$(com)), vbCritical
      Else
         retval = PurgeComm(ComNum, 0) ' , 
    End If
    
    '     
    BarDCB.DCBlength = 28  '  DCB
    BarDCB.BaudRate = 2400  '   
    BarDCB.fBitFields = &H83 ' ,    :
            '1 fBinary   .  1 ( Windows 3.x :))
            '2 fParity          1 - ,   .
            '3 fOutxCtsFlow     1 -  CTS:   CTS     CTS.
            '4 OutxDsrFlow      1 -     DSR
            '5,6 fDtrControl      DTR.  ,  , .
            '7 fDsrSensitivity     DSR.  1     ,   DSR.
            '8 fTXContinueOnXoff 0 -      Xoff   Xon.
            '9 fOutX            1 -     Xoff   Xon.
            '10 fInX            1 -     Xon\Xoff
            '11 fErrorChar      1 -           ErrorChar
            '12 fNull           1 -    
            '13,14 fRtsControl  0 -  RTS.       ,   -  .
            '15 fAbortOnError   1 -        ClearCommError.
            '16 fDummy2         =0 ,  .
    BarDCB.wReserved = 0 ' ,   0
    BarDCB.XonLim = 128 '          XON
    BarDCB.XoffLim = 64 '  -        XOFF.          ( )
    BarDCB.ByteSize = 8      '  (- )
    BarDCB.parity = 0      '1- , 2- , 0-  
    BarDCB.StopBits = 0     '  : 0 -, 1 -, 2 -
    BarDCB.XonChar = 17 ',    Xon
    BarDCB.XoffChar = 19 ',    Xoff
    BarDCB.ErrorChar = 35 ',    
    BarDCB.EofChar = 26 ' " "
    BarDCB.EvtChar = 0  '    
    BarDCB.wReserved1 = 0 '.  .

    '  (Time Outs)  
    CtimeOut.ReadIntervalTimeout = 1 '     .
    CtimeOut.ReadTotalTimeoutConstant = 1 '    
    CtimeOut.ReadTotalTimeoutMultiplier = 1 '     (    )
    CtimeOut.WriteTotalTimeoutConstant = 20 '    
    CtimeOut.WriteTotalTimeoutMultiplier = 5 '     (    )
                                                         '  ,    .

End Sub

    
Public Sub SetCommParam(baud As Long, parity As Byte, bits As Byte, stops As Byte)
'   
    Dim retval As Long

    ' 
 '   CtimeOut.ReadIntervalTimeout = 1 + Int(12000 / baud)
 '   CtimeOut.ReadTotalTimeoutConstant = 1
 '   CtimeOut.ReadTotalTimeoutMultiplier = 1 + Int(12000 / baud)
    CtimeOut.WriteTotalTimeoutMultiplier = 1 + Int(12000 / baud)
    retval = SetCommTimeouts(ComNum, CtimeOut)
    If retval = -1 Then
        retval = GetLastError()
        MsgBox "   , Error: " & retval
    End If
    
    BarDCB.BaudRate = baud  '   
    BarDCB.ByteSize = bits  '  (- )
    BarDCB.parity = parity  '1- , 2- , 0-  
    BarDCB.StopBits = stops '  : 0 -, 1 -, 2 -
    retval = SetCommState(ComNum, BarDCB)
    If retval = -1 Then
        retval = GetLastError()
        MsgBox "       Error: " & retval
    End If
         
End Sub

Public Function ReadCOM(ByVal numChar As Integer) As String
'   COM
' -     ,  2047
'(        )
    Dim RetBytes As Long, i As Integer, ReadStr As String, retval As Long
    Dim lpOverlapped As OVERLAPPED

    '  
    retval = ReadFile(ComNum, bRead(0), numChar, RetBytes, lpOverlapped)
    If retval = 0 Then
        retval = GetLastError()
        MsgBox "    Error: " & retval
    End If

    ReadStr = ""
    If (RetBytes > 0) Then
        For i = 0 To RetBytes - 1
            ReadStr = ReadStr + Chr(bRead(i))
        Next i
    End If

    ReadCOM = ReadStr

End Function

Public Sub WriteCOM(COMString As String)
    Dim RetBytes As Long, LenVal As Long, retval As Long
    Dim lpOverlapped As OVERLAPPED

    If COMString = "" Then Exit Sub

    ' :   
    '  2048  (   - 2048 )
    If Len(COMString) > 2047 Then
        Call WriteCOM(Left$(COMString, 2047))
        Call WriteCOM(Right$(COMString, Len(COMString) - 2047))
        Exit Sub
    End If

    '   
    For LenVal = 0 To Len(COMString) - 1
        bRead(LenVal) = Asc(Mid$(COMString, LenVal + 1, 1))
    Next LenVal

    'a  COM
    retval = WriteFile(ComNum, bRead(0), Len(COMString), RetBytes, lpOverlapped)
    If retval = 0 Then
        retval = GetLastError()
        MsgBox "  Error: " & retval & vbCrLf & " " & RetBytes & " "
    End If
End Sub

